{% extends 'base.html.twig' %}



{% block body %}
    <h1>Home</h1>

<div class="example-wrapper">

    <div><a href="{{ path('profile',{id: user.id}) }}">{{ user.name }}</a> </div>
    {# for display all tweets #}
        {% for tweet in tweets %}
            {# recover the column of tweet and add link to go in th profile
              find the route then look for the id matches the name in the table#}
                <p> <br/> <a href="{{ path('profile', {id: tweet.user.id}) }}">{{ tweet.user.name }}</a>  {{ tweet.msg }}</p>
                {% for tag in tags %}
                    <p>{{ tag }}</p>
                {% endfor %}
            {# format date in string #}
                    <p>{{ tweet.date|date('d/m/Y') }}</p>
        {% endfor %}

    {{ form_start(form) }}
        {{ form_row(form) }}
        <button type="submit">OK</button>
    {{ form_end(form) }}
    </div>
{% endblock %}
